import { Router } from "express";
import { VehicleAssigController } from "./vehicleassig.controller";
import { authMiddleware } from "../auth/auth.middleware";

const vAssigRouter = Router();
const controller = new VehicleAssigController();

vAssigRouter.get("/", authMiddleware, controller.getAll)

vAssigRouter.get("/:id", authMiddleware, controller.getById);

vAssigRouter.post("/", authMiddleware, controller.create);

vAssigRouter.put("/:id", authMiddleware, controller.update);

vAssigRouter.delete("/:id", authMiddleware, controller.delete);

export default vAssigRouter;
